//
//  MPPositive_ArtistDescriptionTableViewCell.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/5/16.
//

import UIKit

class MPPositive_ArtistDescriptionTableViewCell: UITableViewCell {
    
    lazy var titleLabel:UILabel = createLabel(font: .systemFont(ofSize: 14*width, weight: .regular), textColor: .white, textAlignment: .left, lines: 0)
    
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        selectionStyle = .none
        backgroundColor = .clear
        configure()
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    private func configure() {
        contentView.addSubview(titleLabel)
        titleLabel.snp.makeConstraints { make in
            make.left.equalToSuperview().offset(18*width)
            make.right.equalToSuperview().offset(-18*width)
            make.top.equalToSuperview().offset(10*width).priority(999)
            make.bottom.equalToSuperview().offset(10*width).priority(999)
        }
    }
}
